Subject: Re: bug#32986: 27.0.50; unexpected delay in while-no-input + accept-process-output

From: Dmitry Gutov <[email-masked]>
Date: Thu, 13 Dec 2018 01:51:23 +0200

On 12.12.2018 23:42, João Távora wrote:

> I've been meaning to ask you: in the long run, do you consider
> separating company's frontend logic completely so that a simpler
> mode non-company completion frontend can be integrated with
> emacs (one that would use company-capf exclusively)?

Do you mean visualizations only? That would need some more code for 
company-capf to work. I guess if somebody used the pseudo-tooltip code 
(and something else) to visualize completion-at-point completions, that 
would be fine. I have no actual plans to implement that myself, though.

Otherwise, I'm not sure what you're proposing exactly, and what is the 
benefit vs just bundling Company with Emacs.